      subroutine vdload (                                                      
C Read only (unmodifiable)variables -                                          
     1 nblock, ndim, stepTime, totalTime,
     2 amplitude, curCoords, velocity, dirCos, jltyp, sname,                 
C Write only (modifiable) variable -                                      
     1 value )                                  

       include 'vaba_param.inc'
C
      dimension curCoords(nblock,ndim), velocity(nblock,ndim),
     +   dirCos(nblock,ndim,ndim), value(nblock)
      character*80 sname
C
      do 100 km = 1, nblock
C
      value(km) = 1.64 * 10.0 * (1. - curCoords(km,3))
 100	continue
C
      return
      end
